.dragwords {
  .dragwords-inner {
      width: auto;
  }

  .dragwords-widget {
      display: inline-block;
      width: 100%;
  }

  .dragwords-options-container {
      position: relative;
      float: left;
      width: 50%;
      margin-bottom: 8px;
      border-color: transparent;
  }

  .dragwords-items-container {
      position: relative;
      float: left;
    //   width: 50%;
      margin-bottom: 8px;
      border-color: transparent;
  }

  .dropped {
  position: absolute;
  top: 0 !important;
  left: 0 !important;
  background-color: blue !important;
  color: #ffffff;
}

  // .dragwords-category-item-container,
  // .dragwords-option-item-container {
  //     position: relative;
  //     display: block;
  //     border-width: 4px;
  //     border-style: solid;
  //     border-color: black;
  //     width: 200px;
  //     margin: 5px;
  //     padding: 10px;

      // .dragwords__item-state{
      //     .dragwords__item-icon{

      //         .icon{
      //             display: none;
      //             &:before{
      //                 content: "";
      //                 background-color: #fff;
      //                 border-radius: 50%;
      //                 box-shadow: 0 0.125rem 0.375rem rgba(0, 0, 0, 0.4);
      //                 line-height: 2.3rem;
      //                 position: absolute;
      //                 left: 0.6rem;
      //                 top: 0.8rem;
      //                 width: 2.3rem;
      //                 z-index: 2;
      //             }
      //         }

      //         &.dragwords__item-correct-icon{
      //             .icon{
      //                 &:before{
      //                     content: "\e944";
      //                     color: @validation-success;
      //                 }
      //             }
      //         }

      //         &.dragwords__item-incorrect-icon{
      //             .icon{
      //                 &:before{
      //                     content: "\e945";
      //                     color: @validation-error;
      //                 }
      //             }
      //         }
      //     }
      // }

      // &.correct{
      //     .dragwords__item-correct-icon{
      //         .icon{
      //             display: block;
      //         }
      //     }
      // }

      // &.incorrect{
      //     .dragwordsg__item-incorrect-icon{
      //         .icon{
      //             display: block;
      //         }
      //     }
      // }
  // }

  // .dragwords-category-item-border {
  //     border-color: #1e90ff;
  // }

  .dragwords-item {
    //   position: relative;
      display: block;
    //   position: absolute;
      border-width: 1px;
      border-style: solid;
      border-color: black;
      width: 150px;
      margin: 5px;
      height: 60px;
      // padding: 5px;
      // cursor: pointer;
      // -webkit-user-select: none;
      // -moz-user-select: none;
      // -ms-user-select: none;
      // user-select: none;
      // text-align: center;
      // color: black;
      // background-color: aqua;
  }

  // .dragwords-answer{
  //   display: block;
  //     border-width: 1px;
  //     border-style: solid;
  //     border-color: black;
  //     width: 150px;
  //     // margin: 5px;
  //     padding: 5px;
  //     cursor: pointer;
  //     text-align: center;
  //     color: black;
  //     background-color: aqua;
  // }

  // .dragwords-droppable{
  //   display: block;
  //     border-width: 1px;
  //     border-style: solid;
  //     border-color: black;
  //     width: 150px;
  //     // margin: 5px;
  //     padding: 5px;
  //     cursor: pointer;
  //     text-align: center;
  //     color: black;
  //     background-color: aqua;
  // }

  // .dragwords-option-item {
  //     padding-left: 50px;
  // }

//   .dragwords-select-icon {
//       color: black;
//   }

//   .dragwords-correct-icon {
//       display: none;
//       color: green;
//   }

//   .dragwords-incorrect-icon {
//       display: none;
//       color: red;
//   }

//   .dragwords-select-state {
//       position: absolute;
//       z-index: 0;
//       top: 50%;
//       left: 10px;
//       display: none;
//       width: @icon-size;
//       height: @icon-size;
//       margin-top: -(@icon-size/2);
//       background: none;
//   }

  // @media (max-width:760px) {

  //     .dragwords-categories-container,
  //     .dragwords-options-container {
  //         width: 100%;
  //     }
  // }
}


// old code------------------------------------------------

// .dragwords-inner {
//   position: relative;

//   .dragwords-container {
//   }

//   .dragwords-overlay {
//     position: absolute;
//     top: 0;
//     left: 0;
//     width: 100%;
//     height: 100%;
//     background: #000;
//     opacity: 0;
//     transition: opacity 200ms;
//   }

//   .dragwords-widget.dragging .dragwords-overlay {
//     z-index: 10;
//     opacity: 0.4;
//   }

//   .buttons,
//   .dragwords-item {
//     // z-index: 11;
//   }

//   .dragwords-questions {
//     margin-bottom: 20px;
//   }

//   .dragwords-question {
//     position: relative;
//     padding: 20px;
//     margin-bottom: 2px;
//     background: @item-color;
//     color: @item-color-inverted;
//     text-align: justify;

//     .dragwords-question-text {
//       font-size: @body-size;
//       margin-bottom: 20px;
//     }

//     .ui-droppable {
//       display: inline-block;
//       position: relative;
//       border: 1px dotted;
//       border-color: @item-color-inverted;
//       vertical-align: middle;
//     }

//     .ui-droppable.ui-state-active {
//       background-color: @item-color;
//     }

//     .ui-droppable.ui-state-enabled.ui-state-hover {
//       background-color: lighten(@item-color, 10%);
//     }

//     .ui-droppable.ui-state-disabled {
//       border-style: solid;
//       z-index: 8;
//     }

//     .dragwords-question-state {
//       float: right;

//       .icon {
//         display: none;
//         color: #ffffff;
//       }
//     }
//   }

//   // .dragwords-answers {
//     // position: relative;
//     .dragwords-answer {
//       float: left;
//       position: absolute;
//       background: #ddd;
//       border: 1px solid transparent;
//       text-align: center;
//       box-shadow: 2px 2px 3px rgba(0, 0, 0, 0.5);
//       cursor: move;

//       &.ui-draggable-disabled {
//         cursor: default;
//       }
//       &.ui-draggable-dragging {
//         box-shadow: 2px 6px 12px rgba(0, 0, 0, 0.5);
//         z-index: 12;
//       }
//       &.ui-state-placed {
//         z-index: 9;
//         background: none;
//         color: @item-color-inverted;
//         box-shadow: 0 0 0 rgba(0, 0, 0, 0.5);
//       }
//       &.ui-state-placing {
//         -webkit-transition: 0.2s;
//         -moz-transition: 0.2s;
//         -ms-transition: 0.2s;
//         -o-transition: 0.2s;
//         transition: 0.2s;
//       }
//     }
//   // }

//   .dragwords-item {
//     -webkit-box-sizing: border-box;
//     -moz-box-sizing: border-box;
//     box-sizing: border-box;
//     padding: 12px 20px;
//     margin: 0 15px 15px 0;
//     -webkit-user-select: none;
//     -moz-user-select: none;
//     -ms-user-select: none;
//     user-select: none;
//   }
// }

// .dragwords-widget.show-user-answer {
//   .dragwords-question {
//     &.correct .icon-tick {
//       display: block;
//     }
//     &.incorrect .icon-cross {
//       display: block;
//     }
//   }
// }

// .dragwords-transition-0 {
//   -webkit-transition: 0s;
//   -moz-transition: 0s;
//   -ms-transition: 0s;
//   -o-transition: 0s;
//   transition: 0s;
// }

// .dragwords-transition-200 {
//   -webkit-transition: top 0.2s, left 0.2s;
//   -moz-transition: top 0.2s, left 0.2s;
//   -ms-transition: top 0.2s, left 0.2s;
//   -o-transition: top 0.2s, left 0.2s;
//   transition: top 0.2s, left 0.2s;
// }

// .dragwords-transition-600 {
//   -webkit-transition: top 0.6s, left 0.6s;
//   -moz-transition: top 0.6s, left 0.6s;
//   -ms-transition: top 0.6s, left 0.6s;
//   -o-transition: top 0.6s, left 0.6s;
//   transition: top 0.6s, left 0.6s;
// }
// .droppablesContainer{
//   position: relative;
//   z-index: -1;
// }
// .dropped {
//   position: absolute;
//   top: 0 !important;
//   left: 0 !important;
//   background-color: blue !important;
//   color: #ffffff;
// }



// .drop-area{
//     position: absolute;

//     &.drop-area-0{
//         top: 20%;
//         left: 50%;
//     }

//     &.drop-area-1{
//         top: 30%;
//         left: 50%;
//     }
//     &.drop-area-2{
//         top: 40%;
//         left: 50%;
//     }

//     &.drop-area-3{
//         top: 50%;
//         left: 50%;
//     }
// }


.dragwords-widget{
    height: 500px;
}

.dragwords__item-state{
    .dragwords__item-icon{

        .icon{
            display: none;
            &:before{
                content: "";
                background-color: #fff;
                border-radius: 50%;
                box-shadow: 0 0.125rem 0.375rem rgba(0, 0, 0, 0.4);
                line-height: 2.3rem;
                position: absolute;
                left: 0.6rem;
                top: 0.8rem;
                width: 2.3rem;
                z-index: 2;
            }
        }

        &.dragwords__item-correct-icon{
            .icon{
                &:before{
                    content: "\e944";
                    color: @validation-success;
                }
            }
        }

        &.dragwords__item-incorrect-icon{
            .icon{
                &:before{
                    content: "\e945";
                    color: @validation-error;
                }
            }
        }
    }
}

&.correct{
    .dragwords__item-correct-icon{
        .icon{
            display: block;
        }
    }
}

&.incorrect{
    .dragwords__item-incorrect-icon{
        .icon{
            display: block;
        }
    }
}


.dragwords-widget-disabled{
    .dragwords-answer{
        pointer-events: none;
        cursor: not-allowed;
        opacity: 0.5;
    }
}

.matching {
    &__select-icon {
      display: none;
    }
  
    // Matching item icons
    // --------------------------------------------------
    &__select-correct-icon .icon {
      .icon-tick;
    }
  
    &__select-incorrect-icon .icon {
      .icon-cross;
    }
  
    // Class to show the users selection
    // --------------------------------------------------
    &__widget.show-user-answer .is-correct &__select-correct-icon,
    &__widget.show-user-answer .is-incorrect &__select-incorrect-icon {
      display: block;
    }
  
    // Class to show the correct answers
    // --------------------------------------------------
    &__widget.show-correct-answer .is-correct &__select-correct-icon,
    &__widget.show-correct-answer .is-incorrect &__select-correct-icon {
      display: block;
    }
  }
  
